
Core - Task # 38087

Task # 38086 (Closed): Enhance TYPO3 bootstrap mechanism

Status: Rejected Priority: Should have
Author: Oliver Hader Category:
Created: 2012-06-15 Assigned To: Oliver Hader
Updated: 2012-06-16 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Streamline typo3/classes naming
Description

Streamline typo3/classes naming to be typo3/Classes

Associated revisions
Revision 32c37eb6 - 2012-06-15 18:38 - Oliver Hader

[TASK] Streamline typo3/classes naming

Streamline typo3/classes naming to be typo3/Classes

Change-Id: I688e3405120177ee85ef6519881f7c3dec59d210
Resolves: #38087
Releases: 6.0
Reviewed-on: http://review.typo3.org/12096
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 603b7321 - 2012-06-15 19:14 - Oliver Hader

Revert "[TASK] Streamline typo3/classes naming"

This reverts commit 32c37eb6d9bdb4f80d205d94a091e55d4afd36f5.

Change-Id: Ibc36f5631f12b8cfed759aa6e676f48dc179b1b3
Related: #38087
Releases: 6.0
Reviewed-on: http://review.typo3.org/12106
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision 0618dcb3 - 2012-06-23 23:42 - Oliver Hader

Revert "[TASK] Streamline typo3/classes naming"
This reverts commit 32c37eb6d9bdb4f80d205d94a091e55d4afd36f5.

Change-Id: Ibc36f5631f12b8cfed759aa6e676f48dc179b1b3
Related: #38087
Releases: 6.0
Reviewed-on: http://review.typo3.org/12106
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision 55312eee - 2012-06-23 23:42 - Oliver Hader

[TASK] Streamline typo3/classes naming

Streamline typo3/classes naming to be typo3/Classes

Change-Id: I688e3405120177ee85ef6519881f7c3dec59d210
Resolves: #38087
Releases: 6.0
Reviewed-on: http://review.typo3.org/12096
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2012-06-15 16:32 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12096

#2 - 2012-06-15 17:43 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12096

#3 - 2012-06-15 18:34 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12096

#4 - 2012-06-15 19:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:32c37eb6d9bdb4f80d205d94a091e55d4afd36f5.
#5 - 2012-06-15 19:34 - Oliver Hader
- Status changed from Resolved to Rejected

Was reverted again...

#6 - 2012-06-15 21:49 - Philipp Gampe

Mind telling a reason for that decision?

#7 - 2012-06-16 18:51 - Oliver Hader
- Assigned To set to Oliver Hader

#8 - 2012-06-16 18:53 - Oliver Hader

Philipp Gampe wrote:

Mind telling a reason for that decision?

Yepp... the tiny change of the folder name from "classes" to "Classes" lead to problems in third party extensions (e.g. EXT:phpunit) - thus we decided
to revert the change since there might be much more potential in breaking other extensions (e.g. for AjaxLogin)...
